PojoMessageHandlerWholePong (Apache Tomcat 9.0.118 API Documentation)
Description: declaration: package: org.apache.tomcat.websocket.pojo, class: PojoMessageHandlerWholePong

# Class PojoMessageHandlerWholePong

java.lang.Object
org.apache.tomcat.websocket.pojo.PojoMessageHandlerBase<PongMessage>
org.apache.tomcat.websocket.pojo.PojoMessageHandlerWholeBase<PongMessage>
org.apache.tomcat.websocket.pojo.PojoMessageHandlerWholePong

All Implemented Interfaces:
  `MessageHandler, MessageHandler.Whole<PongMessage>, WrappedMessageHandler`

public class PojoMessageHandlerWholePong extends PojoMessageHandlerWholeBase<PongMessage>
PongMessage specific concrete implementation for handling whole messages.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface MessageHandler

  `MessageHandler.Partial<T>, MessageHandler.Whole<T>`

- ## Field Summary

  ### Fields inherited from class PojoMessageHandlerWholeBase

  `decoders`

  ### Fields inherited from class PojoMessageHandlerBase

  `convert, indexPayload, indexSession, maxMessageSize, method, params, pojo, session`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PojoMessageHandlerWholePong(Object pojo, Method method, Session session, Object[] params, int indexPayload, boolean convert, int indexSession)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Object`
  `decode(PongMessage message)`
  `protected void`
  `onClose()`

  ### Methods inherited from class PojoMessageHandlerWholeBase

  `convert, createDecoderInstance, onMessage`

  ### Methods inherited from class PojoMessageHandlerBase

  `getMaxMessageSize, getWrappedHandler, handlePojoMethodException, processResult`

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### PojoMessageHandlerWholePong

    public PojoMessageHandlerWholePong(Object pojo, Method method, Session session, Object[] params, int indexPayload, boolean convert, int indexSession)

- ## Method Details

  - ### decode

    protected Object decode(PongMessage message)
    Specified by:
      `decode` in class `PojoMessageHandlerWholeBase<PongMessage>`

  - ### onClose

    protected void onClose()
    Overrides:
      `onClose` in class `PojoMessageHandlerWholeBase<PongMessage>`